Subject: Re: [PATCH 7/8] Doc clean: add See Also links

From: Philip Oakley <[email-masked]>
Date: Sun, 16 Sep 2012 20:21:03 +0100

On 16/09/12 13:08, Matthieu Moy wrote:
> Philip Oakley <[email-masked]> writes:
>
>> --- a/Documentation/git-clean.txt
>> +++ b/Documentation/git-clean.txt
>> @@ -63,6 +63,12 @@ OPTIONS
>>   	Remove only files ignored by git.  This may be useful to rebuild
>>   	everything from scratch, but keep manually created files.
>>   
>> +SEE ALSO
>> +--------
>> +linkgit:gitignore[5]
>> +linkgit:gitrepository-layout[5]
>> +The optional configuration variable `core.excludesfile` linkgit:git-config[1]
> I think linkgit:gitignore[5] is enough. linkgit:gitrepository-layout[5]
> is a very general documentation, it's not clear to the reader which part
> is intended to be read in complement to git-clean, and indeed, the
> relevant information is already in linkgit:gitignore[5]. Same for
> core.excludesfile which is already documented in linkgit:gitignore[5].
>
> Otherwise, I suspect we'll end-up having the transitive closure of SEE
> ALSO in each manpage ...
I'd added all three partly because of the git add link which went first 
to the repository layout which didn't help me much without the extra link.

In fact I've lost a patch (a mistaken rebase todo list possibly) to make 
the three git ignore pattern types more obvious in the documentation, 
which would probably cover your point.